/*
 * dma.h
 *
 * Created: 23.09.2018 17:05:57
 *  Author: Thomas F
 */ 


#ifndef DMA_H_
#define DMA_H_

#include "sam.h"

typedef struct __attribute__((packed, aligned(16))) {
	
	DmacDescriptor C0D1;	// Channel 0 reserve
	DmacDescriptor C1D1;	// Channel 1 reserve
	DmacDescriptor C2D1;	// Channel 2 reserve

	DmacDescriptor C3D1;	// Channel 3 W5500 SPI read
	DmacDescriptor C4D1;	// Channel 4 W5500 SPI write

	DmacDescriptor CWB[5];	// Write-Back

} DmacDescriptors_t, *pDmacDescriptors_t;



void DmaInit(void);


#endif /* DMA_H_ */