/*
 * Router.h
 *
 * Created: 8.1.2019 18:25:27
 *  Author: Thomas
 */ 


#ifndef ROUTER_H_
#define ROUTER_H_


#include "Socket/Socket.h"

#include "RouterConfig.h"


int RouterInit(void);

int RouterSetIpStartUp(void);

int RouterProcessCyclicTasks(Socket_Type* socket, uint8_t txBuffer[], uint16_t txBufferSize);

int RouterReceiveMacFrame(Socket_Type* socket, uint8_t rxBuffer[], uint16_t rxBufferSize, uint16_t receivedBytes, uint8_t txBuffer[], uint16_t txBufferSize);



#endif /* ROUTER_H_ */