/*
 * RouterConfig.h
 *
 * Created: 04.01.2019 12:39:44
 *  Author: Thomas
 */ 


#ifndef ROUTERCONFIG_H_
#define ROUTERCONFIG_H_


#include "Internet/Internet.h"

//#define ETH_10MFD	// Ethernet 10MBit full duplex (All traffic can be handled)

//#define MY_MAC				((INET_MAC_Type){{ 0x98, 0x76, 0xb6, 0x10, 0xe6, 0x90 }}) // Adafruit
#define MY_MAC				((INET_MAC_Type){{ 0x02, 0x41, 0x69, 0x00, 0x00, 0x01 }})	// Locally administered address

#define MC_GROUP			((INET_IP_Type){{ 239, 255, 255, 250 }})
#define MC_SERVER_IP		((INET_IP_Type){{ 192, 168,   7,  10 }})
#define MC_SERVER_SNM		((INET_IP_Type){{ 255, 255, 255,   0 }})
#define MC_SERVER_PORT		(1900)

#define VLAN1_ROUTER_ID		(0)
#define VLAN1_ROUTER_IP		((INET_IP_Type){{ 192, 168,   7,   8 }})

#define VLAN2_ROUTER_ID		(18)
#define VLAN2_ROUTER_IP		((INET_IP_Type){{ 192, 168,  18,   8 }})

#define VLAN3_ROUTER_ID		(27)
#define VLAN3_ROUTER_IP		((INET_IP_Type){{ 192, 168,  27,   8 }})

#define VLAN4_ROUTER_ID		(0)
#define VLAN4_ROUTER_IP		((INET_IP_Type){{   0,   0,   0,   0 }})


#endif /* ROUTERCONFIG_H_ */