/*
 * SocketMain.h
 *
 * Created: 16.12.2018 18:25:27
 *  Author: Thomas
 */ 


#ifndef SOCKETMAIN_H_
#define SOCKETMAIN_H_


#include "Socket/Socket.h"
#include "Internet/Internet.h"
#include "Internet/EthernetII/EthernetII.h"



int SocketMainInit(void);

int SocketMain(void);

int SendGratuitousArp(Socket_Type* socket, uint8_t txBuffer[], uint16_t txBuffersize, ETH_VLAN_TAG_Type* vLanTag, INET_IP_Type* ip);

int SendDummyArp(Socket_Type* socket, uint8_t txBuffer[], uint16_t txBufferSize, ETH_VLAN_TAG_Type* vLanTag, INET_IP_Type* ip);


#endif /* SOCKETMAIN_H_ */