/*
 * StatusLed.h
 *
 * Created: 09.02.2019 18:18:38
 *  Author: Thomas
 */ 


#ifndef STATUSLED_H_
#define STATUSLED_H_

#include <stdbool.h>
#include "sam.h"


#define LED_IDLE_BRIGHTNESS		(0x0050)
#define LED_FLASH_BRIGHTNESS	(0x0800)
#define LED_FLASH_ON_TIME		(5)		// ms
#define LED_FLASH_OFF_TIME		(100)	// ms
#define LED_FLASH_COUNTER_MAX	(10)
#define LED_ERROR_FLASH_TIME	(10000)	// ms


//#define LED_IDLE_BRIGHTNESS		(0x0050)
//#define LED_ERROR_BRIGHTNESS	(0x0400)
//#define LED_FLASH_BRIGHTNESS	(0x8000)
//#define LED_FLASH_OFF_TIME		(100)		// ms
//#define LED_FLASH_COUNTER_MAX	(10)
//#define LED_ERROR_FLASH_TIME	(10000)		// ms



void StatusLedInit(void);

void StatusLedMain(void);

void StatusLedAddOneFlash(void);

void StatusLedSignalError(void);


#endif /* STATUSLED_H_ */