/*
 * FaultHandler.c
 *
 * Created: 05.12.2018 18:15:20
 *  Author: Thomas
 */ 

#include <stdbool.h>
#include "sam.h"

#include "misc.h"
#include "IO.h"
#include "Time/Time.h"



// Disables write buffer. This causes all BusFaults to be precise BusFaults
//SCnSCB->ACTLR |= SCnSCB_ACTLR_DISDEFWBUF_Msk;


void Fault_Handler(uint32_t number)
{
	static volatile int con = 0;
	
	con = 0;
	
	while (con == 0) { ; }
}




ISR(HardFault_Handler)	{ Fault_Handler(1); }

ISR(MemManage_Handler)	{ Fault_Handler(2); }

ISR(BusFault_Handler)	{ Fault_Handler(3); }

ISR(SVC_Handler)		{ Fault_Handler(4); }

ISR(DebugMon_Handler)	{ Fault_Handler(5); }

ISR(PendSV_Handler)		{ Fault_Handler(6); }

ISR(UsageFault_Handler)	{ Fault_Handler(7); }



