/*
 * Internet.h
 *
 * Created: 29.12.2018 13:38:07
 *  Author: Thomas
 */ 


#ifndef INTERNET_H_
#define INTERNET_H_


#include "sam.h"

#include "W5500/W5500.h"

typedef WNET_MAC_Type		INET_MAC_Type;
typedef WNET_IP_Type		INET_IP_Type;




#define MAC_00	((INET_MAC_Type){{ 0x00, 0x00, 0x00, 0x00, 0x00, 0x00 }})
#define MAC_FF	((INET_MAC_Type){{ 0xff, 0xff, 0xff, 0xff, 0xff, 0xff }})

#define IP_ANY			((INET_IP_Type){{   0,   0,   0,   0 }})
#define IP_BROADCAST	((INET_IP_Type){{ 255, 255, 255, 255 }})
	
#define PORT_ANY	(0)




uint16_t InetCalcChecksum(uint8_t* buffer, uint16_t length);





#endif /* INTERNET_H_ */