/*
 * clocks.h
 *
 * Created: 27.08.2018 13:10:42
 *  Author: Thomas F
 */ 


#ifndef CLOCKS_H_
#define CLOCKS_H_


//#define CRYSTALL32K


// 1- 7 max 200MHz
// 8-11 max 100MHz

// DFLL48M	 48MHz
// DPLL0	120MHz	Source GEN_GCLK_CR32K or GEN_GCLK_1M
// DPLL1	192MHz  Source GEN_GCLK_CR32K or GEN_GCLK_1M


#define GEN_GCLK_120M		(0u)	// Source DPLL0
// Reserved					(1u)	// DIV is higher, can be selected as source to others Generators
// Not used				    (2u)
#define GEN_GCLK_192M		(3u)	// Source DPLL1
#define GEN_GCLK_96M		(4u)	// Source DPLL1
#define GEN_GCLK_64M		(5u)	// Source DPLL1
#define GEN_GCLK_48M		(6u)	// Source DPLL1
#define GEN_GCLK_32M		(7u)	// Source DPLL1
#define GEN_GCLK_16M		(8u)	// Source DPLL1
#define GEN_GCLK_1M			(9u)	// Source DPLL1 or DFLL48M
#define GEN_GCLK_CR32K		(10u)	// Source XOSC32K
#define GEN_GCLK_LP32K		(11u)	// Source OSCULP32K



void SystemInitClock(void);



#endif /* CLOCKS_H_ */